package cn.fw.morax.domain.bo.kpi;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : UserIndicatorBO
 * @description : 人员绩效值
 * @date : 2022-04-13 17:21
 */
@Data
public class UserIndicatorBO {
    /**
     * 指标编码
     */
    private String indicatorCode;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 指标对应值
     */
    private BigDecimal value;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 数据日期
     */
    private Date dataDate;
    /**
     * 唯一标识
     */
    private Long uid;
}
