package cn.fw.morax.domain.dto;

import lombok.Data;

import java.util.Date;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryRawDataDTO
 * @description : 提成薪酬数据
 * @date : 2022-04-25 10:33
 */
@Data
public class SalaryRawDataDTO {
    /**
     * 薪酬项编码
     */
    private String salaryProjectCode;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 上报日期
     */
    private Date dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 计算方式
     *
     * @see cn.fw.morax.domain.enums.SalaryValueTypeEnum
     */
    private Integer valueType;
    /**
     * 薪酬项对应值
     */
    private String salaryProjectValue;
}
