package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class KpiGroupUserPageDTO extends BasePageQuery {

    /**
     * 绩效组id
     */
    @NotNull(message = "绩效组id不能为空")
    private Long id;

    /**
     * 员工名称
     */
    private String staffName;

}
