package cn.fw.morax.domain.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SelectorVO
 * @description : 绩效\薪酬池选项
 * @date : 2022-05-06 11:23
 */
@Data
@EqualsAndHashCode
public class SelectorVO {
    /**
     * 绩效\薪酬池id
     */
    private Long id;
    /**
     * 名称
     */
    private String name;

    public static SelectorVO whit(Long poolId, String shopName, String postName) {
        String name = shopName +
                " (" +
                postName +
                ") ";
        SelectorVO vo = new SelectorVO();
        vo.setId(poolId);
        vo.setName(name);
        return vo;
    }
}
