package cn.fw.morax.domain.vo.kpi;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 指标项得分详情
 */
@Data
public class KpiGroupIndicatorDetailVO {

    /**
     * 截止时间
     */
    private LocalDateTime kpiTime;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 门店列表
     */
    private List<Long> kpiGroupShopIds;

    /**
     * 门店列表名称
     */
    private List<String> kpiGroupShopNames;

    /**
     * 系统前缀
     */
    private String sysPrefix;

    /**
     * 系统前缀
     */
    private String sysDomain;

    /**
     * 系统名称
     */
    private String sysName;

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 指标名称
     */
    private String indicatorName;

    /**
     * 指标项得分阶梯
     */
    private List<KpiGroupIndicatorLaddersVO> ladders;

}