package cn.fw.morax.rpc.ehr.dto;

import cn.fw.ehr.sdk.api.enums.StaffStatusEnum;
import lombok.Data;

import java.time.LocalDate;

@Data
public class PerformanceStaffDTO {

    /**
     * 员工id
     */
    private Long id;

    /**
     * 员工名
     */
    private String name;

    /**
     * 入职时间
     */
    private LocalDate entryDate;

    /**
     * 转正时间
     */
    private LocalDate regularDate;

    /**
     * 在职门店id
     */
    private Long shopId;

    /**
     * 在职门店名
     */
    private String shopName;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名
     */
    private String postName;

//    /**
//     * 岗位大类 {@link PostTypeEnum}
//     */
//    private Integer postType;

    /**
     * 获得岗位时间
     */
    private LocalDate gainPostTime;

//    /**
//     * 上一个岗位大类 {@link PostTypeEnum}
//     */
//    private Integer lastPostType;

    /**
     * 员工状态 {@link StaffStatusEnum}
     */
    private Integer staffStatus;

    /**
     * 是否待岗
     */
    private Boolean awaitJob;

    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 工龄
     */
    private Integer workAge;
}
