package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.dao.kpi.KpiPoolIndicatorValueDao;
import cn.fw.morax.domain.db.kpi.KpiPoolIndicatorValue;
import cn.fw.morax.domain.vo.kpi.KpiPoolIndicatorValueVO;
import cn.fw.morax.service.data.kpi.KpiPoolIndicatorValueService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiPoolIndicatorValueServiceImpl
 * @description : 绩效池指标
 * @date : 2022-04-14 16:18
 */
@Service
public class KpiPoolIndicatorValueServiceImpl extends ServiceImpl<KpiPoolIndicatorValueDao, KpiPoolIndicatorValue> implements KpiPoolIndicatorValueService {

    @Override
    public List<KpiPoolIndicatorValueVO> getStaffIndicatorValue(Long kpiPoolId, Long kpiGroupId, LocalDate localDate) {
        return this.baseMapper.getStaffIndicatorValue(kpiPoolId, kpiGroupId, localDate);
    }
}
