package cn.fw.morax.common.pojo.event;

import lombok.Data;

import java.util.Date;

@Data
public class ApprovalResultEvent {

    /**
     * 审批单号
     */
    private String orderNo;

    /**
     * 是否同意，true同意，false拒绝
     */
    private Boolean agree;

    /**
     * 审批时间
     */
    private Date approveTime;

    /**
     * 审批意见
     */
    private String opinion;

}
