package cn.fw.morax.dao.kpi;

import cn.fw.morax.domain.bo.kpi.KpiIndicatorBO;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicator;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.Set;

/**
 * @author : kurisu
 * @className : KpiGroupIndicatorDao
 * @description : 绩效组指标项
 * @date: 2022-04-06 14:30
 */
@Repository
public interface KpiGroupIndicatorDao extends BaseMapper<KpiGroupIndicator> {
    /**
     * 查询所有使用中的指标集合
     *
     * @param dataDate 查询日期
     * @return
     */
    Set<KpiIndicatorBO> allIndicators(@Param("dataDate") final Date dataDate);
}
