package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 指标项得分阶梯
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class KpiGroupIndicatorLadders extends BaseAuditableTimeEntity<KpiGroupIndicatorLadders, Long> {
    /**
     * 绩效组指标项id
     */
    private Long kpiGroupIndicatorId;
    /**
     * 阶梯下限;大于等于
     */
    private BigDecimal lower;
    /**
     * 阶梯上限;小于; 无上限的情况值为 2<<15
     */
    private BigDecimal upper;
    /**
     * 标准分;本阶梯对应标准分
     */
    private Integer standardScore;
    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;
}