package cn.fw.morax.domain.dto;

import cn.fw.common.exception.BusinessException;
import cn.fw.morax.common.utils.PublicUtil;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Collections;
import java.util.List;

/**
 * @author : jiangchao
 * @date : 2022-5-9
 * @desc : 阶梯抽象类
 */
@Data
public abstract class AbstractLaddersDto {

    /**
     * 下限
     */
//    @Max(value = 100, message = "星级评定阶梯上限不能超100")
//    @Min(value = 0, message = "阶梯下限不能小于0")
//    @NotNull(message = "阶梯下限不能为空")
    protected BigDecimal lower;

    /**
     * 上限
     */
//    @Max(value = 100, message = "星级评定阶梯上限不能超100")
//    @Min(value = 0, message = "阶梯上限不能小于0")
//    @NotNull(message = "阶梯上限不能为空")
    protected BigDecimal upper;

    //错误提示，当阶梯有误，提示阶梯配置的指定名称 或 业务名称
//    protected String errorPromptName;

    /**
     * 业务名称
     *
     * @return
     */
    public String getBusinessName() {
        return "阶梯";
    }




}
