package cn.fw.morax.domain.vo.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 星级评定阶梯
 */
@Data
public class KpiStarLaddersVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 绩效组配置id
     */
    private Long kpiGroupId;
    /**
     * 等级;1:A 2:B 3:C 4:D
     */
    private StarLevelEnum level;
    /**
     * 下限
     */
    private BigDecimal lower;
    /**
     * 上限
     */
    private BigDecimal upper;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}