package cn.fw.morax.domain.vo.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效星级规则
 */
@Data
public class KpiStarRuleVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 滚动月数
     */
    private Integer rollMonth;
    /**
     * 强制离职考核周期
     */
    private Integer forcedTurnoverCycle;
    /**
     * 强制离职周期内最大累计D级数
     */
    private Integer maxUnqualifiedTimes;
    /**
     * 连续月份;满足次条件减少一次D级
     */
    private Integer continuousMonthly;
    /**
     * 最小得分率
     */
    private BigDecimal minScoreRatio;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}