package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import lombok.Data;

import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬组薪酬项目
 */
@Data
public class SalaryGroupProjectVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 薪酬组id
     */
    private Long salaryGroupId;
    /**
     * 薪酬项目id
     */
    private Long salaryProjectId;
    /**
     * 薪酬项目编码
     */
    private String salaryProjectCode;
    /**
     * 薪酬项目名称
     */
    private String salaryProjectName;
    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯提成(单) 4:按量 5: 固定提成 6:阶梯提成(总)
     */
    private SalaryCalMethodEnum calMethod;
    /**
     * 薪酬项目配置
     */
    private List<SalaryGroupProjectSettinVO> settings;

}