package cn.fw.morax.rpc.backlog.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

/**
 * @author : kurisu
 * @className : BackLogItemDTO
 * @description : 批量待办参数
 * @date: 2020-08-29 09:53
 */
@Data
@ToString
@EqualsAndHashCode
public class BacklogBatchPlanReqDTO {

    /**
     * 待办项编码
     */
    private String itemCode;

    /**
     * 数据id
     */
    private List<BacklogBatchPlanItemReqDTO> itemList;

    public BacklogBatchPlanReqDTO() {
    }

    public BacklogBatchPlanReqDTO(String itemCode, List<BacklogBatchPlanItemReqDTO> itemList) {
        this.itemCode = itemCode;
        this.itemList = itemList;
    }
}
