package cn.fw.morax.rpc.erp.dto;

import lombok.Data;

import java.util.List;

/**
 * 角色用户信息
 */
@Data
public class RpcUserRoleInfoDTO {
    /**
     * id
     */
    private Long id;
    /**
     * 父级id
     */
    private Long pid;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 角色id
     */
    private Long roleId;
    /**
     * 角色码
     */
    private String roleCode;
    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色授权门店列表
     */
    private List<RpcUserRoleShopDTO> rangeList;
}
