package cn.fw.morax.service.data.kpi;

import cn.fw.morax.domain.bo.kpi.KpiIndicatorBO;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicator;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.NonNull;

import java.util.Date;
import java.util.Set;

/**
 * @author kurisu
 */
public interface KpiGroupIndicatorService extends IService<KpiGroupIndicator> {

    /**
     * 查询所有有效的指标数据
     * 返回数据包含正在使用的岗位
     *
     * @param dataDate 时间点 非空
     * @return
     */
    Set<KpiIndicatorBO> allIndicators(@NonNull final Date dataDate);
}
