package cn.fw.morax.service.data.kpi;

import cn.fw.morax.domain.db.kpi.KpiPoolIndicatorValue;
import cn.fw.morax.domain.vo.kpi.KpiPoolIndicatorValueVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiPoolIndicatorValueService
 * @description : 绩效池指标值
 * @date : 2022-04-14 16:18
 */
public interface KpiPoolIndicatorValueService extends IService<KpiPoolIndicatorValue> {

    /**
     * 获取员工某月指标记录
     * @param userId
     * @param kpiGroupId
     * @param localDate
     * @return
     */
    List<KpiPoolIndicatorValueVO> getStaffIndicatorValue(Long userId, Long kpiGroupId, LocalDate localDate);

}
